# Uses of Enum
org.apache.commons.math3.stat.ranking.TiesStrategy

Packages that use TiesStrategy
Package
Description
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.
org.apache.commons.math3.stat.ranking
Classes providing rank transformations.

## Uses of TiesStrategy in org.apache.commons.math3.stat.inference

Constructors in org.apache.commons.math3.stat.inference with parameters of type TiesStrategy
Modifier
Constructor
Description
``
`MannWhitneyUTest(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a test instance using the given strategies for NaN's and ties.
``
`WilcoxonSignedRankTest(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a test instance using the given strategies for NaN's and ties.

## Uses of TiesStrategy in org.apache.commons.math3.stat.ranking

Fields in org.apache.commons.math3.stat.ranking declared as TiesStrategy
Modifier and Type
Field
Description
`static final TiesStrategy`
NaturalRanking.`DEFAULT_TIES_STRATEGY`
default ties strategy
Methods in org.apache.commons.math3.stat.ranking that return TiesStrategy
Modifier and Type
Method
Description
`TiesStrategy`
NaturalRanking.`getTiesStrategy()`
Return the TiesStrategy
`static TiesStrategy`
TiesStrategy.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TiesStrategy[]`
TiesStrategy.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.stat.ranking with parameters of type TiesStrategy
Modifier
Constructor
Description
``
`NaturalRanking(NaNStrategy nanStrategy, TiesStrategy tiesStrategy)`
Create a NaturalRanking with the given NaNStrategy and TiesStrategy.
``
`NaturalRanking(TiesStrategy tiesStrategy)`
Create a NaturalRanking with the given TiesStrategy.